Subject: Re: [bug#33066] [PATCHv3] gnu: rust: workaround rust 1.25-27 reproducibility issues

From: Nikolai Merinov <[email-masked]>
Date: Fri, 26 Oct 2018 16:40:34 +0500

Hi Danny,

I'm sad to hear it. All this issues looks for me as LLVM reproducibility
issue and there was some reproducibility-related changes after LLVM
6.0.1 release, e.g. https://reviews.llvm.org/D48369
https://reviews.llvm.org/D48392 and others. Note: I checked previously
mentioned changes individually and it did not solved reproducibility
issue for rust.

Unfortunately I'll be not able to return to this reproducibility
investigation for a while. So currently I can suggest to merge changes
without rust 1.29 to have reproducible chain from 1.23 to 1.28.

Regards,
Nikolai

Danny Milosavljevic <[email-masked]> writes:

> Hi Nikolai,
>
> I've got a cargo reproducibility failure in rust 1.29.2.   Attached is diffoscope output :(
>
> Seems a little similar to what we had before (https://github.com/rust-lang/rust/issues/50556 ).